﻿using System;
using System.Linq;
using System.Net.Mail;
using System.Web.UI;

public partial class usercontrols_ContactForm : UserControl {
    protected void Page_Load(object sender, EventArgs e) { 
		Page.Validate();
	}

	protected void LbnSend_Click(object sender, EventArgs e) {
		// Initialize method variables
		MailAddress to;
		MailAddress from;
		MailMessage message;
		SmtpClient client = new SmtpClient("mx.hosting.isx.net.nz");

		if ( txtVer.Text != string.Empty ) {
			return;
		}

		try {
			to =						new MailAddress("info@countiesfitness.co.nz");
			from =						new MailAddress("website@countiesfitness.co.nz");
			message =					new MailMessage(from, to);

			message.Subject =			"Website Enquiry";
			message.IsBodyHtml =		true;
			message.Body =				"The following enquiry was submitted:<br /><br />";
			message.Body +=				"Name: " + txtName.Text + "<br />";	
			message.Body +=				"Email: " + txtEmail.Text + "<br />";
			message.Body +=				"Subject: " + txtSubject.Text + "<br />";
			message.Body +=				"Message: " + txtMessage.Text.Replace(Environment.NewLine, "<br />");

			client.Send(message);

			panForm.Visible =			false;
			panComplete.Visible =		true;
		} catch (Exception) {
			lblMessage.Visible =		true;
			lblMessage.Text =			"An error occured trying to send your request. Please try again later";
		}
	}
}