﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using umbraco.cms.businesslogic.media;
using umbraco.interfaces;
using umbraco.NodeFactory;

public partial class UserControls_BannerImages : UserControl {
    protected void Page_Load(object sender, EventArgs e) {
		// Initialize method variables
		INode node = new Node();

		litImages.Text =				string.Empty;

		if (node.GetProperty("pageBanner") == null || node.GetProperty("pageBanner").Value == string.Empty) { return; }

		var bannerImagesList =			node.GetProperty("pageBanner").Value.Split(new string[] { "," }, StringSplitOptions.RemoveEmptyEntries);

		foreach (string i in bannerImagesList) {
			var image =					new Media(Int32.Parse(i));
			var imageUrl =				image.getProperty("umbracoFile").Value.ToString();

			litImages.Text +=			"<img src='" + imageUrl.Substring(imageUrl.IndexOf("'") + 1, imageUrl.LastIndexOf("'") - imageUrl.IndexOf("'") - 1) + "' alt='' />";
		}
    }
}